#recipes-detail {
  padding-top: 2.5%;
  padding-bottom: 8.75%;
  padding-left: 5%;
  background: linear-gradient(#e0050b 0%, #460203 100%);
}

#recipes-detail .banner {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-size: 100% auto;
  background-repeat: no-repeat;
  background-position: center 125%;
  background-image: url("../images/recipe/mesa.png");
}

#recipes-detail .banner img[src*='takis'] {
  width: 36.5%;
  position: absolute;
  right: 0;
  bottom: -1%;
}

#recipes-detail .banner img[src*='salsa'] {
  width: 28.5%;
  position: absolute;
  left: 6.5%;
  bottom: 2.7%;
}

#recipes-detail .banner .return {
  font-size: 1.33rem;
  position: absolute;
  right: 27%;
  bottom: 3%;
  z-index: 2;
}

#recipes-detail .banner .return img {
  width: 2.5em;
  margin-right: .75em;
  transition-duration: .3s;
  transition-property: transform;
}

@media (hover: hover) {
  #recipes-detail .banner .return:hover img {
    transform: translateX(-0.25rem);
  }
}

#recipes-detail .title {
  font-size: 3.33rem;
  position: absolute;
  top: 23.25%;
  right: 2.15%;
}

#recipes-detail .title span:first-child {
  font-size: .75em;
}

#recipes-detail .title span:first-child::before, #recipes-detail .title span:first-child::after {
  left: 20%;
}

#recipes-detail img[alt='Nissin SOS'] {
  width: 18%;
  position: absolute;
  top: 4.95%;
  left: 1.75%;
}

#recipes-detail .info {
  width: 42.75%;
  border-radius: 5px;
  margin: auto;
  position: relative;
  overflow: hidden;
  background-color: #D2221D;
  right: 5%;
}

@media screen and (max-width: 550px) {
  #recipes-detail .info {
    right: 0;
  }
}

#recipes-detail .info .recipe .bg-img {
  border-radius: 5px;
  overflow: hidden;
  background-color: black;
}

#recipes-detail .info .recipe .bg-img::before {
  content: '';
  width: 100%;
  padding-top: 56.25%;
  display: block;
  position: relative;
}

#recipes-detail .info .recipe .bg-img .controls {
  cursor: pointer;
}

#recipes-detail .info .recipe .bg-img .controls img[alt*='Poster'] {
  width: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition-duration: .33s;
  transition-property: visibility, opacity;
}

#recipes-detail .info .recipe .bg-img .controls img.button {
  width: 10%;
  opacity: .75;
  transition-duration: .33s;
  transition-property: transform, opacity, visibility;
}

#recipes-detail .info .recipe .bg-img .controls img.button[alt="Pausar"] {
  opacity: 0;
  visibility: hidden;
}

#recipes-detail .info .recipe .bg-img .controls.played img[alt*='Poster'] {
  opacity: 0;
  visibility: hidden;
}

#recipes-detail .info .recipe .bg-img .controls.played img.button {
  visibility: hidden;
  opacity: 0;
}

#recipes-detail .info .recipe .bg-img .controls.played img.button[alt="Pausar"] {
  opacity: 0;
  visibility: visible;
}

@media (hover: hover) {
  #recipes-detail .info .recipe .bg-img .controls:hover .button {
    transform: scale(1.1);
  }
  #recipes-detail .info .recipe .bg-img .controls:hover.played .button[alt="Pausar"] {
    opacity: 1 !important;
    visibility: visible;
  }
}

#recipes-detail .info .recipe video {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

#recipes-detail .info .recipe .description {
  padding: 1.35rem 1.33rem;
}

#recipes-detail .info .recipe .description .recipe-name {
  font-size: 2rem;
  line-height: 2rem;
}

#recipes-detail .info .recipe .description .name {
  margin: .85rem 0;
  font-size: 1.22rem;
  line-height: normal;
}

#recipes-detail .info .recipe .description .manual {
  margin-bottom: 1rem;
  line-height: 1.22rem;
  letter-spacing: -.04166rem;
}

#recipes-detail .info .recipe .description .link {
  margin-right: 2rem;
}

#recipes-detail .info .recipe .description .link img {
  height: 1.25rem;
  margin-left: .75rem;
}

#recipes-detail .info .recipe .description .shares {
  position: absolute;
  right: 0;
  bottom: 0;
}

#recipes-detail .info .recipe .description .shares .btn {
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  cursor: pointer;
  position: absolute;
  right: 5px;
  bottom: 5px;
  transition-duration: .25s;
  transition-property: transform, opacity, visibility, background-color;
}

#recipes-detail .info .recipe .description .shares .btn img {
  width: 100%;
}

#recipes-detail .info .recipe .description .shares .btn[data-type="tw"] {
  transform: translateX(-80%);
}

#recipes-detail .info .recipe .description .shares .btn[data-type="fb"] {
  transform: translateY(-80%);
}

@media (hover: hover) {
  #recipes-detail .info .recipe .description .shares .btn:hover {
    background-color: white;
  }
}

#recipes-detail .info .recipe .description .shares:not(.show) .btn {
  opacity: 0;
  visibility: hidden;
  transform: translate(0);
}

@media screen and (max-width: 1024px) {
  #recipes-detail {
    padding: 5% 7.5% 12.5% 0;
  }
  #recipes-detail .banner {
    background-position: center 112.5%;
  }
  #recipes-detail .banner img[src*='salsa'] {
    width: 30%;
    left: 0%;
    bottom: 3.5%;
  }
  #recipes-detail .banner img[src*='sopa'] {
    width: 17.5%;
    position: absolute;
    right: 5%;
    bottom: 5.5%;
  }
  #recipes-detail .info {
    width: 48.5%;
  }
}

@media screen and (max-width: 1024px) and (orientation: portrait) {
  #recipes-detail {
    padding-top: 15vh;
    padding-right: 0;
  }
  #recipes-detail .banner {
    background-position: center 103.5%;
  }
  #recipes-detail .banner img[src*='salsa'] {
    width: 35%;
    left: -4%;
  }
  #recipes-detail .banner img[src*='sopa'] {
    width: 20%;
    right: 1.5%;
  }
  #recipes-detail .info {
    width: 57.5%;
  }
  #recipes-detail .title {
    top: 6.5%;
    right: 7.5%;
  }
}

@media screen and (max-width: 768px) {
  #recipes-detail {
    padding-top: 5%;
    padding-bottom: 25%;
  }
  #recipes-detail img[alt='Nissin SOS'] {
    width: 23.5%;
    min-width: 142px;
    margin: 1% 6.5% 1% 3%;
    display: inline-block;
    position: relative;
    top: 0;
    left: 0;
  }
  #recipes-detail .title {
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
    margin-left: auto;
    font-size: 2.5rem;
    display: inline-block;
    position: relative;
    top: 0;
    left: 0;
  }
  #recipes-detail .banner {
    background-position: center 101.5%;
  }
  #recipes-detail .banner img[src*='salsa'] {
    width: 42.5%;
    left: auto;
    right: -6%;
    bottom: 2.5%;
    display: none;
  }
  #recipes-detail .banner img[src*='takis'] {
    width: auto;
    right: 0;
    bottom: 0%;
    left: inherit;
  }
  #recipes-detail .banner .return {
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
    margin: auto;
    right: 0;
    bottom: 6.5%;
    left: 0;
  }
  #recipes-detail .info {
    width: 57.5%;
    margin-top: 2.5%;
  }
}

@media screen and (max-width: 550px) {
  #recipes-detail {
    padding-bottom: 90%;
    padding-top: 5%;
  }
  #recipes-detail .banner {
    background-size: 235% auto;
  }
  #recipes-detail .banner img[src*='salsa'] {
    width: 60%;
    right: 40%;
    bottom: 4.5%;
  }
  #recipes-detail .banner img[src*='sopa'] {
    width: 40%;
    bottom: 2.5%;
    left: 42.5%;
  }
  #recipes-detail .banner .return {
    bottom: 26%;
  }
  #recipes-detail .title, #recipes-detail img[alt='Nissin SOS'] {
    display: block;
  }
  #recipes-detail img[alt='Nissin SOS'] {
    width: 90%;
    max-width: 172px;
    margin-right: auto;
    margin-left: auto;
  }
  #recipes-detail .title {
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
    margin: 5% auto;
    font-size: 2.75rem;
  }
  #recipes-detail .title span:last-child {
    font-size: 3.8rem;
  }
  #recipes-detail .info {
    width: 90%;
    margin-top: 0;
  }
}
